List a benchmark's leaderboard columns
curl --request GET \
--url https://api.benchgen.com/api/competitions/{id}/leaderboard_columns/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.benchgen.com/api/competitions/{id}/leaderboard_columns/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.benchgen.com/api/competitions/{id}/leaderboard_columns/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"leaderboards": [
{
"id": 123,
"title": "<string>",
"columns": [
{
"key": "<string>",
"title": "<string>",
"sorting": "desc",
"hidden": true,
"ranks_by": true,
"computed": true
}
]
}
]
}Benchmark creation
List leaderboard columns
Each leaderboard of the benchmark and its columns, with the one the board ranks by marked. Only the creator and its collaborators may read this. Requires the benchmark:read scope.
GET
/
api
/
competitions
/
{id}
/
leaderboard_columns
/
List a benchmark's leaderboard columns
Last modified on September 21, 2026